"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultApp = exports.initMicroApps = void 0;

var _reactDom = _interopRequireDefault(require("react-dom"));

var _qiankun = require("qiankun");

var _package = _interopRequireDefault(require("../package.json"));

var _constants = require("./utils/constants");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var initMicroApps = function initMicroApps(loader) {
  debugger;
  (0, _qiankun.registerMicroApps)([{
    name: 'web4_console',
    entry: "//".concat(window.location.hostname, ":3020/civweb4"),
    container: '#subapp-container',
    activeRule: function activeRule(location) {
      return location.href.indexOf("/".concat(_package["default"].name.toLocaleLowerCase(), "/civweb4")) !== -1;
    },
    loader: loader,
    props: {
      emitter: window.share.event,
      baseRoot: 'civweb4',
      globalConfig: JSON.stringify(createStoreage.get('globalConfig') || {}),
      XMLHttpRequest: window.XMLHttpRequest
    }
  }], {
    beforeLoad: [function (app) {
      debugger; // hookRequest()

      console.log('[LifeCycle] before load %c%s', 'color: green;', JSON.stringify(app));
    }],
    beforeMount: [function (app) {
      debugger; // hookRequest()

      _reactDom["default"].unmountComponentAtNode(document.getElementById('subapp-container'));

      console.log('[LifeCycle] before mount %c%s', 'color: green;', JSON.stringify(app)); // window.share.event.removeAllListeners();
    }],
    beforeUnmount: [function (app) {
      debugger;
      console.log('[LifeCycle] before unmount %c%s', 'color: green;', JSON.stringify(app));
    }],
    afterUnmount: [function (app) {
      debugger;
      console.log('[LifeCycle] after unmount %c%s', 'color: green;', JSON.stringify(app));
    }]
  });
  defaultApp();
  (0, _qiankun.start)({
    sandbox: {
      experimentalStyleIsolation: true,
      loose: true
    },
    singular: false,
    scopedCSS: true,
    getPublicPath: window.__INJECTED_PUBLIC_PATH_BY_QIANKUN__,
    excludeAssetFilter: function excludeAssetFilter(url) {
      return url.indexOf('webapi.amap.com') !== -1 || url.indexOf('api.map.baidu.com') !== -1 || url.indexOf('map.baidu.com') !== -1 || url.indexOf('pv.sohu.com') !== -1 || url.indexOf('mt0.google.cn') !== -1 || url.indexOf('mt1.google.cn') !== -1;
    }
  });
  (0, _qiankun.runAfterFirstMounted)(function () {
    console.log('[MainApp] first app mounted');
  });
  (0, _qiankun.addGlobalUncaughtErrorHandler)(function (event) {
    return console.log(event);
  });
};

exports.initMicroApps = initMicroApps;

var defaultApp = function defaultApp() {
  var config = createStoreage.get('globalConfig');

  if (config && config.token) {
    var startWith = config.homepage ? config.homepage.split('/') : [];
    var basePath = _constants.FILTER_FOLER.indexOf(startWith[0]) > -1 ? 'civweb4' : 'civweb';
    (0, _qiankun.setDefaultMountApp)("/".concat(_package["default"].name.toLocaleLowerCase(), "/").concat(basePath, "/?client=").concat(config.client) //   config.homepage
    //     ? `/${pkg.name.toLocaleLowerCase()}/${basePath}/${config.homepage}`
    //     : `/${pkg.name.toLocaleLowerCase()}/${basePath}/?client=${
    //         window.globalConfig.client
    //       }`,
    );
  }
};

exports.defaultApp = defaultApp;